<template lang="pug">
BaseDialog.x-comment-edit-dialog(ref='dialog')
  template(v-slot:title='')
    h5.modal-title Comment \#{{ comment.id }}
  template(v-slot:default='d')
    BaseMarkdownWidget(v-if='visible' ref='md' :inEdit='true' :value='comment.comments')
  template(v-slot:footer='d')
    button.mr-auto.btn.btn-danger(v-if='isAdmin' @click='d.resolve("delete")' title="Delete")
      i.fa.fa-trash
    button.mr-1.btn.btn-secondary(@click='d.resolve(undefined)') Cancel
    button.btn.btn-primary(@click='d.resolve("submit")') Submit
</template>
<script>

export { default } from './EditCommentDialog.vue.js';

</script>
<style lang='scss'>
.x-comment-edit-dialog {
  .modal-body {
    padding-top: 0px !important;
    padding-left: 0px !important;
    padding-right: 0px !important;
  }
  .b-markdown-preview {
    padding-left: 15px;
    padding-right: 15px;
  }
}
</style>
